Skip to content
Permalink
Browse files
HOP-3837 : Beam Dataflow serialization error
HOP-3839 : Beam Dataflow BigQuery libraries need updating
HOP-3840 : Update Apache Beam API to 2.38.0
HOP-3932 : Allow identification of Apache Hop pipelines on GCP Dataflow
  • Loading branch information
mattcasters committed May 13, 2022
1 parent 7544661 commit f9b690ff9c71319690968131331b4fa0b77b4a2c
Showing 3 changed files with 23 additions and 6 deletions.
@@ -37,6 +37,7 @@
<properties>
<azure-storage.version>8.6.6</azure-storage.version>
<azure-eventhubs.version>3.2.2</azure-eventhubs.version>
<json-smart.version>2.4.8</json-smart.version>
</properties>

<dependencies>
@@ -57,6 +58,16 @@
<artifactId>joda-time</artifactId>
<version>${joda-time.version}</version>
</dependency>
<dependency>
<groupId>net.minidev</groupId>
<artifactId>json-smart</artifactId>
<version>${json-smart.version}</version>
</dependency>
<dependency>
<groupId>net.minidev</groupId>
<artifactId>accessors-smart</artifactId>
<version>${json-smart.version}</version>
</dependency>

<!-- Azure VFS -->

@@ -43,7 +43,7 @@
<javax.servlet-api.version>3.0.1</javax.servlet-api.version>
<dependency.com.tinkerpop.blueprints.version>2.6.0</dependency.com.tinkerpop.blueprints.version>
<dependency.org.powermock.version>2.0.9</dependency.org.powermock.version>
<json-smart.version>2.3</json-smart.version>
<json-smart.version>2.4.8</json-smart.version>
<json-path.version>2.1.0</json-path.version>
<jackson-core.version>${jackson-databind.version}</jackson-core.version>
<jackson-databind.version>2.12.1</jackson-databind.version>
@@ -57,6 +57,16 @@
<artifactId>hop-transforms-json</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>net.minidev</groupId>
<artifactId>json-smart</artifactId>
<version>${json-smart.version}</version>
</dependency>
<dependency>
<groupId>net.minidev</groupId>
<artifactId>accessors-smart</artifactId>
<version>${json-smart.version}</version>
</dependency>
<dependency>
<groupId>com.googlecode.json-simple</groupId>
<artifactId>json-simple</artifactId>
@@ -77,11 +87,6 @@
<artifactId>json-path</artifactId>
<version>${json-path.version}</version>
</dependency>
<dependency>
<groupId>net.minidev</groupId>
<artifactId>json-smart</artifactId>
<version>${json-smart.version}</version>
</dependency>
</dependencies>

</project>
@@ -52,6 +52,7 @@
<includes>
<include>com.jayway.jsonpath:json-path:jar</include>
<include>net.minidev:json-smart:jar</include>
<include>net.minidev:accessors-smart:jar</include>
</includes>
</dependencySet>
</dependencySets>

0 comments on commit f9b690f

Please sign in to comment.